Pipelines
/api/pipelinesAuthorization
api_key In: header
Query Parameters
uuidResponse Body
application/json
curl -X GET "https://example.com/api/pipelines?tenant_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "pipelines": [ { "created_at": "2019-08-24T14:15:22Z", "definition": null, "deployed_at": "2019-08-24T14:15:22Z", "deployed_version": 0, "name": "string", "pipeline_id": "ec036e81-7903-4e4d-bbfa-ac8516341cf0", "status": "Active", "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0", "updated_at": "2019-08-24T14:15:22Z", "working_set_id": "a79ceddf-c6d9-475d-a02a-5558094c8980", "working_version": 0 } ]}/api/pipelinesAuthorization
api_key In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/pipelines" \ -H "Content-Type: application/json" \ -d '{}'{ "pipeline_id": "ec036e81-7903-4e4d-bbfa-ac8516341cf0"}/api/pipelines/{pipeline_id}Authorization
api_key In: header
Path Parameters
Pipeline ID
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/pipelines/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "created_at": "2019-08-24T14:15:22Z", "definition": null, "deployed_at": "2019-08-24T14:15:22Z", "deployed_version": 0, "name": "string", "pipeline_id": "ec036e81-7903-4e4d-bbfa-ac8516341cf0", "status": "Active", "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0", "updated_at": "2019-08-24T14:15:22Z", "working_set_id": "a79ceddf-c6d9-475d-a02a-5558094c8980", "working_version": 0}/api/pipelines/{pipeline_id}Authorization
api_key In: header
Path Parameters
Pipeline ID
uuidResponse Body
application/json
curl -X DELETE "https://example.com/api/pipelines/497f6eca-6276-4993-bfeb-53cbbbba6f08"/api/pipelines/{pipeline_id}/deployAuthorization
api_key In: header
Path Parameters
Pipeline ID
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/pipelines/497f6eca-6276-4993-bfeb-53cbbbba6f08/deploy"/api/pipelines/{pipeline_id}/disableAuthorization
api_key In: header
Path Parameters
Pipeline ID
uuidResponse Body
application/json
application/json
curl -X POST "https://example.com/api/pipelines/497f6eca-6276-4993-bfeb-53cbbbba6f08/disable"/api/pipelines/{pipeline_id}/enableAuthorization
api_key In: header
Path Parameters
Pipeline ID
uuidResponse Body
application/json
application/json
curl -X POST "https://example.com/api/pipelines/497f6eca-6276-4993-bfeb-53cbbbba6f08/enable"/api/pipelines/{pipeline_id}/renameAuthorization
api_key In: header
Path Parameters
Pipeline ID
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/pipelines/497f6eca-6276-4993-bfeb-53cbbbba6f08/rename" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'/api/pipelines/{pipeline_id}/triggerAuthorization
api_key In: header
Path Parameters
Pipeline ID
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/pipelines/497f6eca-6276-4993-bfeb-53cbbbba6f08/trigger" \ -H "Content-Type: application/json" \ -d '{}'{ "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f"}/api/pipelines/{pipeline_id}/update-definitionAuthorization
api_key In: header
Path Parameters
Pipeline ID
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/pipelines/497f6eca-6276-4993-bfeb-53cbbbba6f08/update-definition" \ -H "Content-Type: application/json" \ -d '{ "definition": null }'